Results 1 to 4 of 4

Thread: 'Linux headers no longer required' when installing Skype

  1. #1
    Join Date
    Apr 2012
    Beans
    150
    Distro
    Ubuntu 13.04 Raring Ringtail

    Question 'Linux headers no longer required' when installing Skype

    When I want to install Skype via terminal on a fresh Ubuntu 12.04.1 64-bit install, then, before a long list of what will be installed, I get this message:

    Code:
    The following packages were automatically installed and are no longer required:
      linux-headers-3.2.0-29 linux-headers-3.2.0-29-generic
    This sounds suspicious to me, as if it will break something. After all, it's a fresh install of Ubuntu. So why does it want to remove stuff?

    Do I have to worry?

  2. #2
    Join Date
    Jul 2005
    Location
    England
    Beans
    Hidden!

    Re: 'Linux headers no longer required' when installing Skype

    This is probably because you are now using the 3.2.0-31 kernel and headers which appeared in updates recently, but still have the 3.2.0.29 kernel and its headers installed.

    If that is so, and you can check which kernel you are using with
    Code:
    uname -a
    in terminal, you can remove those -29 headers, but they take up little disk space, so it is not too important.
    DISTRO: Xubuntu 12.04-64bit --- Code-tags --- Boot-Repair --- Grub2 wiki & Grub2 Basics --- RootSudo

  3. #3
    Join Date
    Feb 2008
    Location
    Planet earth, for now.
    Beans
    Hidden!
    Distro
    Xubuntu

    Re: 'Linux headers no longer required' when installing Skype

    To deal with this, run:

    Code:
    sudo apt-get autoremove
    Then try again. Nothing suspicious here ...

  4. #4
    Join Date
    Apr 2012
    Beans
    150
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: 'Linux headers no longer required' when installing Skype

    Thanks. I'm not worried anymore

    Edit:
    Yes, it's the 3.2.0-31 kernel. So it's because of the update I ran directly after install, I suppose.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •